using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;


public class TutorialSpiderEye : SpiderEye
{

}
public class SpiderEye : MonoBehaviour, IInteractable
{


    public GameObject kappa;
    public GameObject parent;
    private void Awake()
    {


        int i0 = LayerMask.NameToLayer("player");
        int i1 = LayerMask.NameToLayer("drop");
      
        //Ignore the collisions between layer 0 (default) and layer 8 (custom layer you set in Inspector window)
        Physics2D.IgnoreLayerCollision(i1, i0, true);
    
      
       
    }

    private void OnTriggerEnter2D(Collider2D collision)
    {
        PlayerController p = collision.GetComponent<PlayerController>();
        if(p != null)
        {
            kappa.gameObject.SetActive(true);
        }
    }
    private void OnTriggerExit2D(Collider2D collision)
    {
        PlayerController player = collision.GetComponent<PlayerController>();
        if(player != null)
        {
            kappa.gameObject.SetActive(false);
        }
    }
    public void OnInteract(PlayerController player)
    {

        player.DecreaseSanity(5);
        switch (player.sanity)
        {
            case Sanity.Normal:
                player.SetPlayerThoughts("Yuck.", 3, 0);
                break;
            case Sanity.KindaInsane:
                player.SetPlayerThoughts("Juicy. Refreshing.", 3, 0);
                break;
            case Sanity.FullApe:
                player.SetPlayerThoughts("MORE! MORE! MORE!.", 3, 0);
                break;
            default:
                break;
        }
        player.IncreaseHealth(5);
      
        Destroy(parent);



    }

    

}