using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Blockade : MonoBehaviour
{
    //SK 203-229
    SpriteRenderer spriteRenderer;
    Collider2D col;
    // Start is called before the first frame update
    void Start()
    {
        spriteRenderer = GetComponent<SpriteRenderer>();
        col = GetComponent<Collider2D>();
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public void BreakBlockade()
    {
        col.enabled = false;
        StartCoroutine(DoReduce());
    }
        

    IEnumerator DoReduce()
    {
        float alpha = spriteRenderer.color.a;
        while(alpha > 0)
        {
            Color c0 = spriteRenderer.color;

             alpha-= Time.deltaTime ;
            Color c1 = new Color(c0.r, c0.g, c0.b, alpha);
            spriteRenderer.color = c1;
            yield return null;

        }
        Destroy(gameObject);

    }
    public void ReduceBlockade()
    {

    }
}
