using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;
using UnityEngine.UI;


namespace UnityEngine.UI
{

[RequireComponent(typeof(Button))]
public class ButtonAddon : MonoBehaviour, IPointerEnterHandler
{
        public AudioSource audio;

        public void OnPointerEnter(PointerEventData eventData)
        {
            audio.Play();
        }

        private void Awake()
        {
            if ( audio == null)
            {
                audio = GetComponent<AudioSource>();
            }
        }

    }
}