using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MoveableEye : MonoBehaviour
{
    public Transform target;

    private Vector3 initialPosition;
    public float eyeRadius;
    public GameObject pupil;
   


    private void Awake()
    {
        initialPosition = transform.localPosition;
    }
    private void Start()
    {
       
    }
    private void Update()
    {
        if(target != null)
        {
            Vector3 direction = target.transform.position - transform.position;


            Vector3 distanceToTarget =  Vector3.ClampMagnitude(direction, eyeRadius);


            Vector3 final = transform.position + distanceToTarget;
            pupil.transform.position = final;
        }
    }
}
